Debian Bug report logs - #203109
grep: Improve documentation of -P

version graph

Package: grep; Maintainer for grep is Anibal Monsalve Salazar <anibal@debian.org>; Source for grep is src:grep.

Reported by: Blars Blarson <blarson@blars.org>

Date: Sun, 27 Jul 2003 19:48:01 UTC

Severity: minor

Tags: patch

Found in versions 2.5.1-5, grep/2.5.4-4

Fixed in version grep/2.14-3

Done: Santiago Ruano Rincón <santiago@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmgolbeck@debian.org (Ryan M. Golbeck):
Bug#203109; Package grep. Full text and rfc822 format available.

Acknowledgement sent to Blars Blarson <blarson@blars.org>:
New Bug report received and forwarded. Copy sent to rmgolbeck@debian.org (Ryan M. Golbeck). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Blars Blarson <blarson@blars.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grep: man page fixes: perl mode, ordering
Date: Sun, 27 Jul 2003 12:36:11 -0700
Package: grep
Version: 2.5.1-5
Severity: minor
Tags: patch

In the grep man page:

The -P option is merged in with the -F option.

The options are not in alphabetical order.

The perl option is not documented in the regular expression section.

Note that the info page doesn't mention the -P option or document perl
regulare expressions.

The following patch fixes the first two, and at least mentions that perl
regular expressions arn't documented.

--- grep.1.orig	2003-07-27 12:03:42.000000000 -0700
+++ grep.1	2003-07-27 12:27:04.000000000 -0700
@@ -83,14 +83,6 @@
 .B \-\^\-
 between contiguous groups of matches.
 .TP
-.BI \-C " NUM" "\fR,\fP \-\^\-context=" NUM
-Print
-.I NUM
-lines of output context.
-Places a line containing
-.B \-\^\-
-between contiguous groups of matches.
-.TP
 .BR \-b ", " \-\^\-byte-offset
 Print the byte offset within the input file before
 each line of output.
@@ -130,10 +122,13 @@
 which can have nasty side effects if the output is a terminal and if the
 terminal driver interprets some of it as commands.
 .TP
-.BI \-\^\-colour[=\fIWHEN\fR] ", " \-\^\-color[=\fIWHEN\fR]
-Surround the matching string with the marker find in
-.B GREP_COLOR
-environment variable. WHEN may be `never', `always', or `auto'
+.BI \-C " NUM" "\fR,\fP \-\^\-context=" NUM
+Print
+.I NUM
+lines of output context.
+Places a line containing
+.B \-\^\-
+between contiguous groups of matches.
 .TP
 .BR \-c ", " \-\^\-count
 Suppress normal output; instead print a count of
@@ -142,6 +137,11 @@
 .BR \-v ", " \-\^\-invert-match
 option (see below), count non-matching lines.
 .TP
+.BI \-\^\-colour[=\fIWHEN\fR] ", " \-\^\-color[=\fIWHEN\fR]
+Surround the matching string with the marker find in
+.B GREP_COLOR
+environment variable. WHEN may be `never', `always', or `auto'
+.TP
 .BI \-D " ACTION" "\fR,\fP \-\^\-devices=" ACTION
 If an input file is a device, FIFO or socket, use
 .I ACTION
@@ -195,10 +195,6 @@
 .I PATTERN
 as a list of fixed strings, separated by newlines,
 any of which is to be matched.
-.BR \-P ", " \-\^\-perl-regexp
-Interpret
-.I PATTERN
-as a Perl regular expression.
 .TP
 .BI \-f " FILE" "\fR,\fP \-\^\-file=" FILE
 Obtain patterns from
@@ -244,6 +240,15 @@
 would normally have been printed.  The scanning will
 stop on the first match.
 .TP
+.BI \-\^\-label= LABEL
+Displays input actually coming from standard input as input coming from file
+.I LABEL.
+This is especially useful for tools like zgrep, e.g.
+.B "gzip -cd foo.gz |grep --label=foo something"
+.TP
+.BR \-\^\-line-buffering
+Use line buffering, it can be a performance penalty.
+.TP
 .BI \-m " NUM" "\fR,\fP \-\^\-max-count=" NUM
 Stop reading a file after
 .I NUM
@@ -300,14 +305,10 @@
 Show only the part of a matching line that matches
 .I PATTERN.
 .TP
-.BI \-\^\-label= LABEL
-Displays input actually coming from standard input as input coming from file
-.I LABEL.
-This is especially useful for tools like zgrep, e.g.
-.B "gzip -cd foo.gz |grep --label=foo something"
-.TP
-.BR \-\^\-line-buffering
-Use line buffering, it can be a performance penalty.
+.BR \-P ", " \-\^\-perl-regexp
+Interpret
+.I PATTERN
+as a Perl regular expression.
 .TP
 .BR \-q ", " \-\^\-quiet ", " \-\^\-silent
 Quiet; do not write anything to standard output.
@@ -448,13 +449,17 @@
 expressions, by using various operators to combine smaller expressions.
 .PP
 .B Grep
-understands two different versions of regular expression syntax:
-\*(lqbasic\*(rq and \*(lqextended.\*(rq  In
+understands three different versions of regular expression syntax:
+\*(lqbasic,\*(rq \*(lqextended,\*(rq and \*(lqperl.\*rq  In
 .RB "\s-1GNU\s0\ " grep ,
-there is no difference in available functionality using either syntax.
+there is no difference in available functionality using either of the 
+first two syntaxes.
 In other implementations, basic regular expressions are less powerful.
 The following description applies to extended regular expressions;
 differences for basic regular expressions are summarized afterwards.
+Perl regular expressions add additional functionality, but the implementation
+used here is undocumented and is not compatible with 
+other grep implementations.
 .PP
 The fundamental building blocks are the regular expressions that match
 a single character.  Most characters, including all letters and digits,



-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux quaff 2.4.21q12 #1 Thu Jul 3 18:56:32 PDT 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages grep depends on:
ii  libc6                         2.3.1-17   GNU C Library: Shared libraries an

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, rmgolbeck@debian.org (Ryan M. Golbeck):
Bug#203109; Package grep. Full text and rfc822 format available.

Acknowledgement sent to Blars Blarson <blarson@blars.org>:
Extra info received and forwarded to list. Copy sent to rmgolbeck@debian.org (Ryan M. Golbeck). Full text and rfc822 format available.

Message #10 received at 203109@bugs.debian.org (full text, mbox):

From: Blars Blarson <blarson@blars.org>
To: 203109@bugs.debian.org
Subject: -P option doesn't work anyway...
Date: Sun, 27 Jul 2003 14:14:52 -0700
grep -P doesn't work anyway, so it shouldn't be documented.  Here is a
fixed man page that removes the mention of the -P option and reorders
the options to be in alphabetical order.


--- grep.1.orig	2003-07-27 12:03:42.000000000 -0700
+++ grep.1	2003-07-27 14:10:00.000000000 -0700
@@ -83,14 +83,6 @@
 .B \-\^\-
 between contiguous groups of matches.
 .TP
-.BI \-C " NUM" "\fR,\fP \-\^\-context=" NUM
-Print
-.I NUM
-lines of output context.
-Places a line containing
-.B \-\^\-
-between contiguous groups of matches.
-.TP
 .BR \-b ", " \-\^\-byte-offset
 Print the byte offset within the input file before
 each line of output.
@@ -130,10 +122,13 @@
 which can have nasty side effects if the output is a terminal and if the
 terminal driver interprets some of it as commands.
 .TP
-.BI \-\^\-colour[=\fIWHEN\fR] ", " \-\^\-color[=\fIWHEN\fR]
-Surround the matching string with the marker find in
-.B GREP_COLOR
-environment variable. WHEN may be `never', `always', or `auto'
+.BI \-C " NUM" "\fR,\fP \-\^\-context=" NUM
+Print
+.I NUM
+lines of output context.
+Places a line containing
+.B \-\^\-
+between contiguous groups of matches.
 .TP
 .BR \-c ", " \-\^\-count
 Suppress normal output; instead print a count of
@@ -142,6 +137,11 @@
 .BR \-v ", " \-\^\-invert-match
 option (see below), count non-matching lines.
 .TP
+.BI \-\^\-colour[=\fIWHEN\fR] ", " \-\^\-color[=\fIWHEN\fR]
+Surround the matching string with the marker find in
+.B GREP_COLOR
+environment variable. WHEN may be `never', `always', or `auto'
+.TP
 .BI \-D " ACTION" "\fR,\fP \-\^\-devices=" ACTION
 If an input file is a device, FIFO or socket, use
 .I ACTION
@@ -195,10 +195,6 @@
 .I PATTERN
 as a list of fixed strings, separated by newlines,
 any of which is to be matched.
-.BR \-P ", " \-\^\-perl-regexp
-Interpret
-.I PATTERN
-as a Perl regular expression.
 .TP
 .BI \-f " FILE" "\fR,\fP \-\^\-file=" FILE
 Obtain patterns from
@@ -244,6 +240,15 @@
 would normally have been printed.  The scanning will
 stop on the first match.
 .TP
+.BI \-\^\-label= LABEL
+Displays input actually coming from standard input as input coming from file
+.I LABEL.
+This is especially useful for tools like zgrep, e.g.
+.B "gzip -cd foo.gz |grep --label=foo something"
+.TP
+.BR \-\^\-line-buffering
+Use line buffering, it can be a performance penalty.
+.TP
 .BI \-m " NUM" "\fR,\fP \-\^\-max-count=" NUM
 Stop reading a file after
 .I NUM
@@ -296,19 +301,6 @@
 Prefix each line of output with the line number
 within its input file.
 .TP
-.BR \-o ", " \-\^\-only-matching
-Show only the part of a matching line that matches
-.I PATTERN.
-.TP
-.BI \-\^\-label= LABEL
-Displays input actually coming from standard input as input coming from file
-.I LABEL.
-This is especially useful for tools like zgrep, e.g.
-.B "gzip -cd foo.gz |grep --label=foo something"
-.TP
-.BR \-\^\-line-buffering
-Use line buffering, it can be a performance penalty.
-.TP
 .BR \-q ", " \-\^\-quiet ", " \-\^\-silent
 Quiet; do not write anything to standard output.
 Exit immediately with zero status if any match is found,



Reply sent to rmgolbeck@debian.org (Ryan M. Golbeck):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Blars Blarson <blarson@blars.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 203109-close@bugs.debian.org (full text, mbox):

From: rmgolbeck@debian.org (Ryan M. Golbeck)
To: 203109-close@bugs.debian.org
Subject: Bug#203109: fixed in grep 2.5.1-6
Date: Sun, 17 Aug 2003 19:32:59 -0400
We believe that the bug you reported is fixed in the latest version of
grep, which is due to be installed in the Debian FTP archive:

grep_2.5.1-6.diff.gz
  to pool/main/g/grep/grep_2.5.1-6.diff.gz
grep_2.5.1-6.dsc
  to pool/main/g/grep/grep_2.5.1-6.dsc
grep_2.5.1-6_i386.deb
  to pool/main/g/grep/grep_2.5.1-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 203109@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan M. Golbeck <rmgolbeck@debian.org> (supplier of updated grep package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 17 Agu 2003 00:10:00 -0500
Source: grep
Binary: grep
Architecture: source i386
Version: 2.5.1-6
Distribution: unstable
Urgency: low
Maintainer: Ryan M. Golbeck <rmgolbeck@debian.org>
Changed-By: Ryan M. Golbeck <rmgolbeck@debian.org>
Description: 
 grep       - GNU grep, egrep and fgrep
Closes: 185208 198947 203109
Changes: 
 grep (2.5.1-6) unstable; urgency=low
 .
   * Consolidated manpage patches
    + Fixed line-buffering typo (Closes: #198947)
    + Re-ordered options, perl regexp note (Closes: #203109)
 .
   * Applied patch for bigfiles w/o newlines (Closes: #185208)
     - Thanks Jim Meyering
Files: 
 24f189251dca9fb0120f1062786a6786 615 base required grep_2.5.1-6.dsc
 6549828d14d59cf867cd912ce1e4aaef 30026 base required grep_2.5.1-6.diff.gz
 312993bc49952baee6de7df761e7f1c7 161278 base required grep_2.5.1-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/QATXNs+6RHiRa4QRAr1tAKC7/6iCA7o/zLAtEZihkyKEYDdhMgCePSQ5
fNGBG5gx7aJO2MacCa7i1JI=
=3f03
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, rmgolbeck@debian.org (Ryan M. Golbeck):
Bug#203109; Package grep. Full text and rfc822 format available.

Acknowledgement sent to Blars Blarson <blarson@blars.org>:
Extra info received and forwarded to list. Copy sent to rmgolbeck@debian.org (Ryan M. Golbeck). Full text and rfc822 format available.

Message #20 received at 203109@bugs.debian.org (full text, mbox):

From: Blars Blarson <blarson@blars.org>
To: 203109@bugs.debian.org, control@bugs.debian.org
Subject: grep -P mode non-working
Date: Wed, 20 Aug 2003 22:05:07 -0700
reopen 203109
retitle 203109 grep: perl mode non-functional, should not be documented
thanks

Apparently you applied the first patch I sent to the grep
documentation, and didn't notice that I had redone it because the -P
mode in grep doesn't work.  There is also a problem that shows up as:

	"basic," "extended," and "perl.q  

in the man page.

Either the referneces to perl mode should be omitted, or the -P option
documented as reserved for future use.

-- 
Blars Blarson			blarson@blars.org
				http://www.blars.org/blars.html
With Microsoft, failure is not an option.  It is a standard feature.



Bug reopened, originator not changed. Request was from Blars Blarson <blarson@blars.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Blars Blarson <blarson@blars.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, rmgolbeck@debian.org (Ryan M. Golbeck):
Bug#203109; Package grep. Full text and rfc822 format available.

Acknowledgement sent to rmgolbeck@uwaterloo.ca (Ryan M. Golbeck):
Extra info received and forwarded to list. Copy sent to rmgolbeck@debian.org (Ryan M. Golbeck). Full text and rfc822 format available.

Message #29 received at 203109@bugs.debian.org (full text, mbox):

From: rmgolbeck@uwaterloo.ca (Ryan M. Golbeck)
To: Blars Blarson <blarson@blars.org>
Cc: 203109@bugs.debian.org
Subject: Re: Bug#203109: grep -P mode non-working
Date: Wed, 10 Sep 2003 19:49:04 -0400
Sorry, I'm not very familar with perl regular expressions.  The option
does not work *at all*, or it doesn't work for some perl regexes?

Since upstream has it documented that this version includes -P, I'm
more inclined to make a note in the Bug section of the manpage (or
similar) and upgrade this bug to normal. 

If this is a problem with the -P option, I don't think it's the fault
of the documentation.  It's a real bug.

ryan

Blars Blarson <blarson@blars.org> writes:

> reopen 203109
> retitle 203109 grep: perl mode non-functional, should not be documented
> thanks
>
> Apparently you applied the first patch I sent to the grep
> documentation, and didn't notice that I had redone it because the -P
> mode in grep doesn't work.  There is also a problem that shows up as:
>
> 	"basic," "extended," and "perl.q  
>
> in the man page.
>
> Either the referneces to perl mode should be omitted, or the -P option
> documented as reserved for future use.
>
> -- 
> Blars Blarson			blarson@blars.org
> 				http://www.blars.org/blars.html
> With Microsoft, failure is not an option.  It is a standard feature.



Information forwarded to debian-bugs-dist@lists.debian.org, rmgolbeck@debian.org (Ryan M. Golbeck):
Bug#203109; Package grep. Full text and rfc822 format available.

Acknowledgement sent to Blars Blarson <blarson@blars.org>:
Extra info received and forwarded to list. Copy sent to rmgolbeck@debian.org (Ryan M. Golbeck). Full text and rfc822 format available.

Message #34 received at 203109@bugs.debian.org (full text, mbox):

From: Blars Blarson <blarson@blars.org>
To: "Ryan M. Golbeck" <rmgolbeck@uwaterloo.ca>
Cc: 203109@bugs.debian.org
Subject: Re: Bug#203109: grep -P mode non-working
Date: Wed, 10 Sep 2003 19:46:40 -0700
On Wed, Sep 10, 2003 at 07:49:04PM -0400, Ryan M. Golbeck wrote:
> 
> Sorry, I'm not very familar with perl regular expressions.  The option
> does not work *at all*, or it doesn't work for some perl regexes?

At all.

quaff$ grep -P xx /dev/null
grep: The -P option is not supported

Perl regular expressions are mostly a superset of normal ones.
"(?" is used to introduce many of the extentions.

-- 
Blars Blarson			blarson@blars.org
				http://www.blars.org/blars.html
With Microsoft, failure is not an option.  It is a standard feature.



Information forwarded to debian-bugs-dist@lists.debian.org, rmgolbeck@debian.org (Ryan M. Golbeck):
Bug#203109; Package grep. Full text and rfc822 format available.

Acknowledgement sent to Charles Parkinson Fry <debian@frogcircus.org>:
Extra info received and forwarded to list. Copy sent to rmgolbeck@debian.org (Ryan M. Golbeck). Full text and rfc822 format available.

Message #39 received at 203109@bugs.debian.org (full text, mbox):

From: Charles Parkinson Fry <debian@frogcircus.org>
To: Debian Bug Tracking System <203109@bugs.debian.org>
Subject: grep: -P option is not supported
Date: Sat, 13 Dec 2003 13:54:46 -0500
Package: grep
Severity: normal
Followup-For: Bug #203109

It looks like Perl regex support, which is on by default, is only compiled
into grep if libpcre is installed.

It would be most helpful if support for -P were enabled in grep, at the
very least in a separate package.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux berlin 2.4.22-1-686 #6 Sat Oct 4 14:09:08 EST 2003 i686
Locale: LANG=C, LC_CTYPE=C




Reply sent to Santiago Ruano Rincon <santiago@unicauca.edu.co>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Blars Blarson <blarson@blars.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #44 received at 203109-close@bugs.debian.org (full text, mbox):

From: Santiago Ruano Rincon <santiago@unicauca.edu.co>
To: 203109-close@bugs.debian.org
Subject: Bug#203109: fixed in grep 2.5.1.ds2-3
Date: Tue, 08 Nov 2005 15:32:06 -0800
Source: grep
Source-Version: 2.5.1.ds2-3

We believe that the bug you reported is fixed in the latest version of
grep, which is due to be installed in the Debian FTP archive:

grep_2.5.1.ds2-3.diff.gz
  to pool/main/g/grep/grep_2.5.1.ds2-3.diff.gz
grep_2.5.1.ds2-3.dsc
  to pool/main/g/grep/grep_2.5.1.ds2-3.dsc
grep_2.5.1.ds2-3_alpha.deb
  to pool/main/g/grep/grep_2.5.1.ds2-3_alpha.deb
grep_2.5.1.ds2-3_i386.deb
  to pool/main/g/grep/grep_2.5.1.ds2-3_i386.deb
grep_2.5.1.ds2-3_sparc.deb
  to pool/main/g/grep/grep_2.5.1.ds2-3_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 203109@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Ruano Rincon <santiago@unicauca.edu.co> (supplier of updated grep package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  7 Nov 2005 03:40:13 -0500
Source: grep
Binary: grep
Architecture: source i386 alpha sparc
Version: 2.5.1.ds2-3
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Santiago Ruano Rincon <santiago@unicauca.edu.co>
Description: 
 grep       - GNU grep, egrep and fgrep
Closes: 190551 203109 238237
Changes: 
 grep (2.5.1.ds2-3) unstable; urgency=low
 .
   * Compiled with libpcre3 to enable perl regular expressions.
     Closes: #203109: perl mode non-functional, should not be documented
     Closes: #238237: -P option doesn't work.
   * Closes: #190551: br0ken manpage: Uses 'Egrep' instead of 'egrep'.
     Thanks to Marc Brockschmidt <marc@dch-faq.de>
Files: 
 e3cb2bf18ccf9f2275f48367a86cc2ef 674 utils required grep_2.5.1.ds2-3.dsc
 8c8622d1408f194731d401957636c1d4 21446 utils required grep_2.5.1.ds2-3.diff.gz
 2c20f310ac3a501eb2e47a9087fb3839 139862 utils required grep_2.5.1.ds2-3_i386.deb
 c552ccbb728a7ffcbe64e434f8c6cbbe 141140 utils required grep_2.5.1.ds2-3_sparc.deb
 0352c1680b3c741b3ea44a0efbdc1330 149320 utils required grep_2.5.1.ds2-3_alpha.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDcTIlipBneRiAKDwRAlGwAJ0S0o+zvm7VzBltsTDE7ce3ZypwhgCfRMbR
TkFF8sDYPeOA/qjhUgslfh4=
=4YbQ
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Santiago José Ruano Rincón <santiago@unicauca.edu.co> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#203109; Package grep. (Fri, 08 May 2009 12:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@femur.dyndns.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 08 May 2009 12:24:02 GMT) Full text and rfc822 format available.

Message #51 received at 203109@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@femur.dyndns.org>
To: Debian Bug Tracking System <203109@bugs.debian.org>
Subject: grep: Part of the original patch should still be applied
Date: Fri, 08 May 2009 13:20:22 +0100
[Message part 1 (text/plain, inline)]
Package: grep
Version: 2.5.4-4
Followup-For: Bug #203109


I think this bug was kept open because of the lack of -P support in
Debian grep, but that has now been fixed.

However, the original man page patch made two other useful contributions
which in some form are still needed:

1. It mentioned Perl regexps in the REGULAR EXPRESSIONS section of the
documentation.

2. It explained that Perl regexs are not documented in the man page
(however, it did this in a rather negative way, whereas it should simply
point to the PCRE documentation).

I attach a new patch to the man page and info manual to fix this.

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages grep depends on:
ii  libc6                         2.7-18     GNU C Library: Shared libraries

grep recommends no packages.

grep suggests no packages.

-- no debconf information
[grep-pcre-manpage.patch (text/plain, attachment)]

Changed Bug title to 'grep: Improve documentation of -P' from 'grep: perl mode non-functional, should not be documented' Request was from Reuben Thomas <rrt@sc3d.org> to control@bugs.debian.org. (Tue, 18 Aug 2009 15:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#203109; Package grep. (Sun, 06 Dec 2009 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Berenyi Mihaly <huf@parawag.net>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sun, 06 Dec 2009 19:09:03 GMT) Full text and rfc822 format available.

Message #58 received at 203109@bugs.debian.org (full text, mbox):

From: Berenyi Mihaly <huf@parawag.net>
To: 203109@bugs.debian.org
Subject: Perl regex != PCRE, please fix in documentation.
Date: Sun, 6 Dec 2009 20:01:39 +0100
Hi.
The documentation for grep says -P implements Perl regular expressions.
This is confusing, since it uses PCRE and PCRE is not Perl regex. 
Please remove any mention of Perl from the manpage to avoid confusion.
thanks,
	huf
-- 
huf (Berenyi Mihaly) - huf@keszen.hu - http://parawag.net
..........it's life jim, but not as we know it...........




Reply sent to Santiago Ruano Rincón <santiago@debian.org>:
You have taken responsibility. (Sun, 11 Aug 2013 17:06:04 GMT) Full text and rfc822 format available.

Notification sent to Blars Blarson <blarson@blars.org>:
Bug acknowledged by developer. (Sun, 11 Aug 2013 17:06:04 GMT) Full text and rfc822 format available.

Message #63 received at 203109-close@bugs.debian.org (full text, mbox):

From: Santiago Ruano Rincón <santiago@debian.org>
To: 203109-close@bugs.debian.org
Subject: Bug#203109: fixed in grep 2.14-3
Date: Sun, 11 Aug 2013 17:03:29 +0000
Source: grep
Source-Version: 2.14-3

We believe that the bug you reported is fixed in the latest version of
grep, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 203109@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Ruano Rincón <santiago@debian.org> (supplier of updated grep package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 Aug 2013 18:17:21 +0200
Source: grep
Binary: grep
Architecture: source amd64
Version: 2.14-3
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Santiago Ruano Rincón <santiago@debian.org>
Description: 
 grep       - GNU grep, egrep and fgrep
Closes: 203109 692760
Changes: 
 grep (2.14-3) unstable; urgency=low
 .
   * Updating 80-587930-man-ere-reference.patch to improve documentation
     regarding -P (Closes: #203109)
   * Correcting a formating issue in grep.in.1. Thanks to David Prévot
     (Closes: #692760)
Checksums-Sha1: 
 c40afa7c369f54d5b6e791372b34be50c51a9b21 1262 grep_2.14-3.dsc
 6356003c81cc23df73f98bd234e1d601ed358024 12822 grep_2.14-3.debian.tar.bz2
 d385f62d8e58dac4091df3547a687901669f5cef 299358 grep_2.14-3_amd64.deb
Checksums-Sha256: 
 1d4eb62c99ebc117b2db09553f7bc0b06e4af3e1981507869c7ae92a8c155d2d 1262 grep_2.14-3.dsc
 f22418c6dddd5e7eadb31e77402137a67d0a1ed16f7314cf399bdb898e7b5812 12822 grep_2.14-3.debian.tar.bz2
 96577999a84ba8f9ec37c9588c2d6b86d2a098afff9525b83c98a48bc082518b 299358 grep_2.14-3_amd64.deb
Files: 
 738b7c08f524088dacbabf54608bfc82 1262 utils required grep_2.14-3.dsc
 d2b61499e0bdde0a5926409c24d72a38 12822 utils required grep_2.14-3.debian.tar.bz2
 cc01d769e13a3f3ea57ac617786d7a3a 299358 utils required grep_2.14-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEUEARECAAYFAlIHwxYACgkQQUuEI2/szeDrJwCYyHu5VSTd0m5HpWy7qhmnqH+o
HACfenlvLW9pxINd2aKAAwWuqPfcyD4=
=kMrC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Sep 2013 07:26:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:17:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.